Skip to content
Start here

Get the current status of an interconnect object

GET/accounts/{account_id}/cni/interconnects/{icon}/status

Get the current status of an interconnect object

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic WAN ReadMagic Transit ReadMagic Transit Write
Path ParametersExpand Collapse
account_id: string

Customer account tag

icon: string
ReturnsExpand Collapse
Pending = object { state }
state: "Pending"
Down = object { state, reason }
state: "Down"
reason: optional string

Diagnostic information, if available

Unhealthy = object { state, reason }
state: "Unhealthy"
reason: optional string

Diagnostic information, if available

Healthy = object { state }
state: "Healthy"

Get the current status of an interconnect object

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cni/interconnects/$ICON/status \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "state": "Pending"
}
Returns Examples
{
  "state": "Pending"
}